Blame checkmk/Makefile.in

Packit Service 7bd866
# Makefile.in generated by automake 1.16.1 from Makefile.am.
Packit Service 7bd866
# @configure_input@
Packit Service 7bd866
Packit Service 7bd866
# Copyright (C) 1994-2018 Free Software Foundation, Inc.
Packit Service 7bd866
Packit Service 7bd866
# This Makefile.in is free software; the Free Software Foundation
Packit Service 7bd866
# gives unlimited permission to copy and/or distribute it,
Packit Service 7bd866
# with or without modifications, as long as this notice is preserved.
Packit Service 7bd866
Packit Service 7bd866
# This program is distributed in the hope that it will be useful,
Packit Service 7bd866
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
Packit Service 7bd866
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
Packit Service 7bd866
# PARTICULAR PURPOSE.
Packit Service 7bd866
Packit Service 7bd866
@SET_MAKE@
Packit Service 7bd866
Packit Service 7bd866
VPATH = @srcdir@
Packit Service 7bd866
am__is_gnu_make = { \
Packit Service 7bd866
  if test -z '$(MAKELEVEL)'; then \
Packit Service 7bd866
    false; \
Packit Service 7bd866
  elif test -n '$(MAKE_HOST)'; then \
Packit Service 7bd866
    true; \
Packit Service 7bd866
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
Packit Service 7bd866
    true; \
Packit Service 7bd866
  else \
Packit Service 7bd866
    false; \
Packit Service 7bd866
  fi; \
Packit Service 7bd866
}
Packit Service 7bd866
am__make_running_with_option = \
Packit Service 7bd866
  case $${target_option-} in \
Packit Service 7bd866
      ?) ;; \
Packit Service 7bd866
      *) echo "am__make_running_with_option: internal error: invalid" \
Packit Service 7bd866
              "target option '$${target_option-}' specified" >&2; \
Packit Service 7bd866
         exit 1;; \
Packit Service 7bd866
  esac; \
Packit Service 7bd866
  has_opt=no; \
Packit Service 7bd866
  sane_makeflags=$$MAKEFLAGS; \
Packit Service 7bd866
  if $(am__is_gnu_make); then \
Packit Service 7bd866
    sane_makeflags=$$MFLAGS; \
Packit Service 7bd866
  else \
Packit Service 7bd866
    case $$MAKEFLAGS in \
Packit Service 7bd866
      *\\[\ \	]*) \
Packit Service 7bd866
        bs=\\; \
Packit Service 7bd866
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
Packit Service 7bd866
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
Packit Service 7bd866
    esac; \
Packit Service 7bd866
  fi; \
Packit Service 7bd866
  skip_next=no; \
Packit Service 7bd866
  strip_trailopt () \
Packit Service 7bd866
  { \
Packit Service 7bd866
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
Packit Service 7bd866
  }; \
Packit Service 7bd866
  for flg in $$sane_makeflags; do \
Packit Service 7bd866
    test $$skip_next = yes && { skip_next=no; continue; }; \
Packit Service 7bd866
    case $$flg in \
Packit Service 7bd866
      *=*|--*) continue;; \
Packit Service 7bd866
        -*I) strip_trailopt 'I'; skip_next=yes;; \
Packit Service 7bd866
      -*I?*) strip_trailopt 'I';; \
Packit Service 7bd866
        -*O) strip_trailopt 'O'; skip_next=yes;; \
Packit Service 7bd866
      -*O?*) strip_trailopt 'O';; \
Packit Service 7bd866
        -*l) strip_trailopt 'l'; skip_next=yes;; \
Packit Service 7bd866
      -*l?*) strip_trailopt 'l';; \
Packit Service 7bd866
      -[dEDm]) skip_next=yes;; \
Packit Service 7bd866
      -[JT]) skip_next=yes;; \
Packit Service 7bd866
    esac; \
Packit Service 7bd866
    case $$flg in \
Packit Service 7bd866
      *$$target_option*) has_opt=yes; break;; \
Packit Service 7bd866
    esac; \
Packit Service 7bd866
  done; \
Packit Service 7bd866
  test $$has_opt = yes
Packit Service 7bd866
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
Packit Service 7bd866
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
Packit Service 7bd866
pkgdatadir = $(datadir)/@PACKAGE@
Packit Service 7bd866
pkgincludedir = $(includedir)/@PACKAGE@
Packit Service 7bd866
pkglibdir = $(libdir)/@PACKAGE@
Packit Service 7bd866
pkglibexecdir = $(libexecdir)/@PACKAGE@
Packit Service 7bd866
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
Packit Service 7bd866
install_sh_DATA = $(install_sh) -c -m 644
Packit Service 7bd866
install_sh_PROGRAM = $(install_sh) -c
Packit Service 7bd866
install_sh_SCRIPT = $(install_sh) -c
Packit Service 7bd866
INSTALL_HEADER = $(INSTALL_DATA)
Packit Service 7bd866
transform = $(program_transform_name)
Packit Service 7bd866
NORMAL_INSTALL = :
Packit Service 7bd866
PRE_INSTALL = :
Packit Service 7bd866
POST_INSTALL = :
Packit Service 7bd866
NORMAL_UNINSTALL = :
Packit Service 7bd866
PRE_UNINSTALL = :
Packit Service 7bd866
POST_UNINSTALL = :
Packit Service 7bd866
build_triplet = @build@
Packit Service 7bd866
host_triplet = @host@
Packit Service 7bd866
subdir = checkmk
Packit Service 7bd866
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
Packit Service 7bd866
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
Packit Service 7bd866
	$(top_srcdir)/m4/ax_c_check_flag.m4 \
Packit Service 7bd866
	$(top_srcdir)/m4/ax_create_stdint_h.m4 \
Packit Service 7bd866
	$(top_srcdir)/m4/librt_timers.m4 $(top_srcdir)/m4/libtool.m4 \
Packit Service 7bd866
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
Packit Service 7bd866
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
Packit Service 7bd866
	$(top_srcdir)/m4/snprintf.m4 $(top_srcdir)/configure.ac
Packit Service 7bd866
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
Packit Service 7bd866
	$(ACLOCAL_M4)
Packit Service 7bd866
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
Packit Service 7bd866
mkinstalldirs = $(install_sh) -d
Packit Service 7bd866
CONFIG_HEADER = $(top_builddir)/config.h
Packit Service 7bd866
CONFIG_CLEAN_FILES = checkmk
Packit Service 7bd866
CONFIG_CLEAN_VPATH_FILES =
Packit Service 7bd866
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
Packit Service 7bd866
am__vpath_adj = case $$p in \
Packit Service 7bd866
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
Packit Service 7bd866
    *) f=$$p;; \
Packit Service 7bd866
  esac;
Packit Service 7bd866
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
Packit Service 7bd866
am__install_max = 40
Packit Service 7bd866
am__nobase_strip_setup = \
Packit Service 7bd866
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
Packit Service 7bd866
am__nobase_strip = \
Packit Service 7bd866
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
Packit Service 7bd866
am__nobase_list = $(am__nobase_strip_setup); \
Packit Service 7bd866
  for p in $$list; do echo "$$p $$p"; done | \
Packit Service 7bd866
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
Packit Service 7bd866
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
Packit Service 7bd866
    if (++n[$$2] == $(am__install_max)) \
Packit Service 7bd866
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
Packit Service 7bd866
    END { for (dir in files) print dir, files[dir] }'
Packit Service 7bd866
am__base_list = \
Packit Service 7bd866
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
Packit Service 7bd866
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
Packit Service 7bd866
am__uninstall_files_from_dir = { \
Packit Service 7bd866
  test -z "$$files" \
Packit Service 7bd866
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
Packit Service 7bd866
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
Packit Service 7bd866
         $(am__cd) "$$dir" && rm -f $$files; }; \
Packit Service 7bd866
  }
Packit Service 7bd866
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
Packit Service 7bd866
SCRIPTS = $(bin_SCRIPTS)
Packit Service 7bd866
AM_V_P = $(am__v_P_@AM_V@)
Packit Service 7bd866
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
Packit Service 7bd866
am__v_P_0 = false
Packit Service 7bd866
am__v_P_1 = :
Packit Service 7bd866
AM_V_GEN = $(am__v_GEN_@AM_V@)
Packit Service 7bd866
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
Packit Service 7bd866
am__v_GEN_0 = @echo "  GEN     " $@;
Packit Service 7bd866
am__v_GEN_1 = 
Packit Service 7bd866
AM_V_at = $(am__v_at_@AM_V@)
Packit Service 7bd866
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
Packit Service 7bd866
am__v_at_0 = @
Packit Service 7bd866
am__v_at_1 = 
Packit Service 7bd866
SOURCES =
Packit Service 7bd866
DIST_SOURCES =
Packit Service 7bd866
am__can_run_installinfo = \
Packit Service 7bd866
  case $$AM_UPDATE_INFO_DIR in \
Packit Service 7bd866
    n|no|NO) false;; \
Packit Service 7bd866
    *) (install-info --version) >/dev/null 2>&1;; \
Packit Service 7bd866
  esac
Packit Service 7bd866
man1dir = $(mandir)/man1
Packit Service 7bd866
NROFF = nroff
Packit Service 7bd866
MANS = $(man_MANS)
Packit Service 7bd866
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
Packit Service 7bd866
am__tty_colors_dummy = \
Packit Service 7bd866
  mgn= red= grn= lgn= blu= brg= std=; \
Packit Service 7bd866
  am__color_tests=no
Packit Service 7bd866
am__tty_colors = { \
Packit Service 7bd866
  $(am__tty_colors_dummy); \
Packit Service 7bd866
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
Packit Service 7bd866
    am__color_tests=no; \
Packit Service 7bd866
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
Packit Service 7bd866
    am__color_tests=yes; \
Packit Service 7bd866
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
Packit Service 7bd866
    am__color_tests=yes; \
Packit Service 7bd866
  fi; \
Packit Service 7bd866
  if test $$am__color_tests = yes; then \
Packit Service 7bd866
    red='?[0;31m'; \
Packit Service 7bd866
    grn='?[0;32m'; \
Packit Service 7bd866
    lgn='?[1;32m'; \
Packit Service 7bd866
    blu='?[1;34m'; \
Packit Service 7bd866
    mgn='?[0;35m'; \
Packit Service 7bd866
    brg='?[1m'; \
Packit Service 7bd866
    std='?[m'; \
Packit Service 7bd866
  fi; \
Packit Service 7bd866
}
Packit Service 7bd866
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
Packit Service 7bd866
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
Packit Service 7bd866
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
Packit Service 7bd866
# A command that, given a newline-separated list of test names on the
Packit Service 7bd866
# standard input, print the name of the tests that are to be re-run
Packit Service 7bd866
# upon "make recheck".
Packit Service 7bd866
am__list_recheck_tests = $(AWK) '{ \
Packit Service 7bd866
  recheck = 1; \
Packit Service 7bd866
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit Service 7bd866
    { \
Packit Service 7bd866
      if (rc < 0) \
Packit Service 7bd866
        { \
Packit Service 7bd866
          if ((getline line2 < ($$0 ".log")) < 0) \
Packit Service 7bd866
	    recheck = 0; \
Packit Service 7bd866
          break; \
Packit Service 7bd866
        } \
Packit Service 7bd866
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
Packit Service 7bd866
        { \
Packit Service 7bd866
          recheck = 0; \
Packit Service 7bd866
          break; \
Packit Service 7bd866
        } \
Packit Service 7bd866
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
Packit Service 7bd866
        { \
Packit Service 7bd866
          break; \
Packit Service 7bd866
        } \
Packit Service 7bd866
    }; \
Packit Service 7bd866
  if (recheck) \
Packit Service 7bd866
    print $$0; \
Packit Service 7bd866
  close ($$0 ".trs"); \
Packit Service 7bd866
  close ($$0 ".log"); \
Packit Service 7bd866
}'
Packit Service 7bd866
# A command that, given a newline-separated list of test names on the
Packit Service 7bd866
# standard input, create the global log from their .trs and .log files.
Packit Service 7bd866
am__create_global_log = $(AWK) ' \
Packit Service 7bd866
function fatal(msg) \
Packit Service 7bd866
{ \
Packit Service 7bd866
  print "fatal: making $@: " msg | "cat >&2;; \
Packit Service 7bd866
  exit 1; \
Packit Service 7bd866
} \
Packit Service 7bd866
function rst_section(header) \
Packit Service 7bd866
{ \
Packit Service 7bd866
  print header; \
Packit Service 7bd866
  len = length(header); \
Packit Service 7bd866
  for (i = 1; i <= len; i = i + 1) \
Packit Service 7bd866
    printf "="; \
Packit Service 7bd866
  printf "\n\n"; \
Packit Service 7bd866
} \
Packit Service 7bd866
{ \
Packit Service 7bd866
  copy_in_global_log = 1; \
Packit Service 7bd866
  global_test_result = "RUN"; \
Packit Service 7bd866
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit Service 7bd866
    { \
Packit Service 7bd866
      if (rc < 0) \
Packit Service 7bd866
         fatal("failed to read from " $$0 ".trs"); \
Packit Service 7bd866
      if (line ~ /$(am__global_test_result_rx)/) \
Packit Service 7bd866
        { \
Packit Service 7bd866
          sub("$(am__global_test_result_rx)", "", line); \
Packit Service 7bd866
          sub("[ 	]*$$", "", line); \
Packit Service 7bd866
          global_test_result = line; \
Packit Service 7bd866
        } \
Packit Service 7bd866
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
Packit Service 7bd866
        copy_in_global_log = 0; \
Packit Service 7bd866
    }; \
Packit Service 7bd866
  if (copy_in_global_log) \
Packit Service 7bd866
    { \
Packit Service 7bd866
      rst_section(global_test_result ": " $$0); \
Packit Service 7bd866
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
Packit Service 7bd866
      { \
Packit Service 7bd866
        if (rc < 0) \
Packit Service 7bd866
          fatal("failed to read from " $$0 ".log"); \
Packit Service 7bd866
        print line; \
Packit Service 7bd866
      }; \
Packit Service 7bd866
      printf "\n"; \
Packit Service 7bd866
    }; \
Packit Service 7bd866
  close ($$0 ".trs"); \
Packit Service 7bd866
  close ($$0 ".log"); \
Packit Service 7bd866
}'
Packit Service 7bd866
# Restructured Text title.
Packit Service 7bd866
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
Packit Service 7bd866
# Solaris 10 'make', and several other traditional 'make' implementations,
Packit Service 7bd866
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
Packit Service 7bd866
# by disabling -e (using the XSI extension "set +e") if it's set.
Packit Service 7bd866
am__sh_e_setup = case $$- in *e*) set +e;; esac
Packit Service 7bd866
# Default flags passed to test drivers.
Packit Service 7bd866
am__common_driver_flags = \
Packit Service 7bd866
  --color-tests "$$am__color_tests" \
Packit Service 7bd866
  --enable-hard-errors "$$am__enable_hard_errors" \
Packit Service 7bd866
  --expect-failure "$$am__expect_failure"
Packit Service 7bd866
# To be inserted before the command running the test.  Creates the
Packit Service 7bd866
# directory for the log if needed.  Stores in $dir the directory
Packit Service 7bd866
# containing $f, in $tst the test, in $log the log.  Executes the
Packit Service 7bd866
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
Packit Service 7bd866
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
Packit Service 7bd866
# will run the test scripts (or their associated LOG_COMPILER, if
Packit Service 7bd866
# thy have one).
Packit Service 7bd866
am__check_pre = \
Packit Service 7bd866
$(am__sh_e_setup);					\
Packit Service 7bd866
$(am__vpath_adj_setup) $(am__vpath_adj)			\
Packit Service 7bd866
$(am__tty_colors);					\
Packit Service 7bd866
srcdir=$(srcdir); export srcdir;			\
Packit Service 7bd866
case "$@" in						\
Packit Service 7bd866
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
Packit Service 7bd866
    *) am__odir=.;; 					\
Packit Service 7bd866
esac;							\
Packit Service 7bd866
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
Packit Service 7bd866
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
Packit Service 7bd866
if test -f "./$$f"; then dir=./;			\
Packit Service 7bd866
elif test -f "$$f"; then dir=;				\
Packit Service 7bd866
else dir="$(srcdir)/"; fi;				\
Packit Service 7bd866
tst=$$dir$$f; log='$@'; 				\
Packit Service 7bd866
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
Packit Service 7bd866
  am__enable_hard_errors=no; 				\
Packit Service 7bd866
else							\
Packit Service 7bd866
  am__enable_hard_errors=yes; 				\
Packit Service 7bd866
fi; 							\
Packit Service 7bd866
case " $(XFAIL_TESTS) " in				\
Packit Service 7bd866
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
Packit Service 7bd866
    am__expect_failure=yes;;				\
Packit Service 7bd866
  *)							\
Packit Service 7bd866
    am__expect_failure=no;;				\
Packit Service 7bd866
esac; 							\
Packit Service 7bd866
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
Packit Service 7bd866
# A shell command to get the names of the tests scripts with any registered
Packit Service 7bd866
# extension removed (i.e., equivalently, the names of the test logs, with
Packit Service 7bd866
# the '.log' extension removed).  The result is saved in the shell variable
Packit Service 7bd866
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
Packit Service 7bd866
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
Packit Service 7bd866
# since that might cause problem with VPATH rewrites for suffix-less tests.
Packit Service 7bd866
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
Packit Service 7bd866
am__set_TESTS_bases = \
Packit Service 7bd866
  bases='$(TEST_LOGS)'; \
Packit Service 7bd866
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
Packit Service 7bd866
  bases=`echo $$bases`
Packit Service 7bd866
RECHECK_LOGS = $(TEST_LOGS)
Packit Service 7bd866
AM_RECURSIVE_TARGETS = check recheck
Packit Service 7bd866
TEST_SUITE_LOG = test-suite.log
Packit Service 7bd866
TEST_EXTENSIONS = @EXEEXT@ .test
Packit Service 7bd866
LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit Service 7bd866
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
Packit Service 7bd866
am__set_b = \
Packit Service 7bd866
  case '$@' in \
Packit Service 7bd866
    */*) \
Packit Service 7bd866
      case '$*' in \
Packit Service 7bd866
        */*) b='$*';; \
Packit Service 7bd866
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
Packit Service 7bd866
       esac;; \
Packit Service 7bd866
    *) \
Packit Service 7bd866
      b='$*';; \
Packit Service 7bd866
  esac
Packit Service 7bd866
am__test_logs1 = $(TESTS:=.log)
Packit Service 7bd866
am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
Packit Service 7bd866
TEST_LOGS = $(am__test_logs2:.test.log=.log)
Packit Service 7bd866
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit Service 7bd866
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
Packit Service 7bd866
	$(TEST_LOG_FLAGS)
Packit Service 7bd866
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/checkmk.in \
Packit Service 7bd866
	$(top_srcdir)/test-driver README
Packit Service 7bd866
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
Packit Service 7bd866
ACLOCAL = @ACLOCAL@
Packit Service 7bd866
AMTAR = @AMTAR@
Packit Service 7bd866
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
Packit Service 7bd866
AR = @AR@
Packit Service 7bd866
AUTOCONF = @AUTOCONF@
Packit Service 7bd866
AUTOHEADER = @AUTOHEADER@
Packit Service 7bd866
AUTOMAKE = @AUTOMAKE@
Packit Service 7bd866
AWK = @AWK@
Packit Service 7bd866
AWK_GSUB_DBL_BSLASH = @AWK_GSUB_DBL_BSLASH@
Packit Service 7bd866
AWK_PATH = @AWK_PATH@
Packit Service 7bd866
CC = @CC@
Packit Service 7bd866
CCDEPMODE = @CCDEPMODE@
Packit Service 7bd866
CFLAGS = @CFLAGS@
Packit Service 7bd866
CHECK_MAJOR_VERSION = @CHECK_MAJOR_VERSION@
Packit Service 7bd866
CHECK_MICRO_VERSION = @CHECK_MICRO_VERSION@
Packit Service 7bd866
CHECK_MINOR_VERSION = @CHECK_MINOR_VERSION@
Packit Service 7bd866
CHECK_VERSION = @CHECK_VERSION@
Packit Service 7bd866
CPP = @CPP@
Packit Service 7bd866
CPPFLAGS = @CPPFLAGS@
Packit Service 7bd866
CYGPATH_W = @CYGPATH_W@
Packit Service 7bd866
DEFS = @DEFS@
Packit Service 7bd866
DEPDIR = @DEPDIR@
Packit Service 7bd866
DLLTOOL = @DLLTOOL@
Packit Service 7bd866
DSYMUTIL = @DSYMUTIL@
Packit Service 7bd866
DUMPBIN = @DUMPBIN@
Packit Service 7bd866
ECHO_C = @ECHO_C@
Packit Service 7bd866
ECHO_N = @ECHO_N@
Packit Service 7bd866
ECHO_T = @ECHO_T@
Packit Service 7bd866
EGREP = @EGREP@
Packit Service 7bd866
ENABLE_REGEX = @ENABLE_REGEX@
Packit Service 7bd866
ENABLE_SUBUNIT = @ENABLE_SUBUNIT@
Packit Service 7bd866
EXEEXT = @EXEEXT@
Packit Service 7bd866
FGREP = @FGREP@
Packit Service 7bd866
FILTERDIFF = @FILTERDIFF@
Packit Service 7bd866
GCOV = @GCOV@
Packit Service 7bd866
GCOV_CFLAGS = @GCOV_CFLAGS@
Packit Service 7bd866
GCOV_LIBS = @GCOV_LIBS@
Packit Service 7bd866
GENHTML = @GENHTML@
Packit Service 7bd866
GREP = @GREP@
Packit Service 7bd866
HAVE_FORK = @HAVE_FORK@
Packit Service 7bd866
HAVE_REGEX = @HAVE_REGEX@
Packit Service 7bd866
INSTALL = @INSTALL@
Packit Service 7bd866
INSTALL_DATA = @INSTALL_DATA@
Packit Service 7bd866
INSTALL_PROGRAM = @INSTALL_PROGRAM@
Packit Service 7bd866
INSTALL_SCRIPT = @INSTALL_SCRIPT@
Packit Service 7bd866
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
Packit Service 7bd866
LCOV = @LCOV@
Packit Service 7bd866
LD = @LD@
Packit Service 7bd866
LDFLAGS = @LDFLAGS@
Packit Service 7bd866
LIBOBJS = @LIBOBJS@
Packit Service 7bd866
LIBS = @LIBS@
Packit Service 7bd866
LIBSUBUNIT_CFLAGS = @LIBSUBUNIT_CFLAGS@
Packit Service 7bd866
LIBSUBUNIT_LIBS = @LIBSUBUNIT_LIBS@
Packit Service 7bd866
LIBSUBUNIT_PC = @LIBSUBUNIT_PC@
Packit Service 7bd866
LIBTOOL = @LIBTOOL@
Packit Service 7bd866
LIPO = @LIPO@
Packit Service 7bd866
LN_S = @LN_S@
Packit Service 7bd866
LTLIBOBJS = @LTLIBOBJS@
Packit Service 7bd866
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
Packit Service 7bd866
MAKEINFO = @MAKEINFO@
Packit Service 7bd866
MANIFEST_TOOL = @MANIFEST_TOOL@
Packit Service 7bd866
MKDIR_P = @MKDIR_P@
Packit Service 7bd866
NM = @NM@
Packit Service 7bd866
NMEDIT = @NMEDIT@
Packit Service 7bd866
OBJDUMP = @OBJDUMP@
Packit Service 7bd866
OBJEXT = @OBJEXT@
Packit Service 7bd866
OTOOL = @OTOOL@
Packit Service 7bd866
OTOOL64 = @OTOOL64@
Packit Service 7bd866
PACKAGE = @PACKAGE@
Packit Service 7bd866
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
Packit Service 7bd866
PACKAGE_NAME = @PACKAGE_NAME@
Packit Service 7bd866
PACKAGE_STRING = @PACKAGE_STRING@
Packit Service 7bd866
PACKAGE_TARNAME = @PACKAGE_TARNAME@
Packit Service 7bd866
PACKAGE_URL = @PACKAGE_URL@
Packit Service 7bd866
PACKAGE_VERSION = @PACKAGE_VERSION@
Packit Service 7bd866
PATH_SEPARATOR = @PATH_SEPARATOR@
Packit Service 7bd866
PKG_CONFIG = @PKG_CONFIG@
Packit Service 7bd866
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
Packit Service 7bd866
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
Packit Service 7bd866
PTHREAD_CC = @PTHREAD_CC@
Packit Service 7bd866
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
Packit Service 7bd866
PTHREAD_LIBS = @PTHREAD_LIBS@
Packit Service 7bd866
RANLIB = @RANLIB@
Packit Service 7bd866
SED = @SED@
Packit Service 7bd866
SET_MAKE = @SET_MAKE@
Packit Service 7bd866
SHELL = @SHELL@
Packit Service 7bd866
STRIP = @STRIP@
Packit Service 7bd866
TEX = @TEX@
Packit Service 7bd866
VERSION = @VERSION@
Packit Service 7bd866
abs_builddir = @abs_builddir@
Packit Service 7bd866
abs_srcdir = @abs_srcdir@
Packit Service 7bd866
abs_top_builddir = @abs_top_builddir@
Packit Service 7bd866
abs_top_srcdir = @abs_top_srcdir@
Packit Service 7bd866
ac_ct_AR = @ac_ct_AR@
Packit Service 7bd866
ac_ct_CC = @ac_ct_CC@
Packit Service 7bd866
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
Packit Service 7bd866
acx_pthread_config = @acx_pthread_config@
Packit Service 7bd866
am__include = @am__include@
Packit Service 7bd866
am__leading_dot = @am__leading_dot@
Packit Service 7bd866
am__quote = @am__quote@
Packit Service 7bd866
am__tar = @am__tar@
Packit Service 7bd866
am__untar = @am__untar@
Packit Service 7bd866
bindir = @bindir@
Packit Service 7bd866
build = @build@
Packit Service 7bd866
build_alias = @build_alias@
Packit Service 7bd866
build_cpu = @build_cpu@
Packit Service 7bd866
build_os = @build_os@
Packit Service 7bd866
build_vendor = @build_vendor@
Packit Service 7bd866
builddir = @builddir@
Packit Service 7bd866
datadir = @datadir@
Packit Service 7bd866
datarootdir = @datarootdir@
Packit Service 7bd866
docdir = @docdir@
Packit Service 7bd866
dvidir = @dvidir@
Packit Service 7bd866
exec_prefix = @exec_prefix@
Packit Service 7bd866
host = @host@
Packit Service 7bd866
host_alias = @host_alias@
Packit Service 7bd866
host_cpu = @host_cpu@
Packit Service 7bd866
host_os = @host_os@
Packit Service 7bd866
host_vendor = @host_vendor@
Packit Service 7bd866
htmldir = @htmldir@
Packit Service 7bd866
includedir = @includedir@
Packit Service 7bd866
infodir = @infodir@
Packit Service 7bd866
install_sh = @install_sh@
Packit Service 7bd866
libdir = @libdir@
Packit Service 7bd866
libexecdir = @libexecdir@
Packit Service 7bd866
localedir = @localedir@
Packit Service 7bd866
localstatedir = @localstatedir@
Packit Service 7bd866
mandir = @mandir@
Packit Service 7bd866
mkdir_p = @mkdir_p@
Packit Service 7bd866
oldincludedir = @oldincludedir@
Packit Service 7bd866
pdfdir = @pdfdir@
Packit Service 7bd866
prefix = @prefix@
Packit Service 7bd866
program_transform_name = @program_transform_name@
Packit Service 7bd866
psdir = @psdir@
Packit Service 7bd866
sbindir = @sbindir@
Packit Service 7bd866
sharedstatedir = @sharedstatedir@
Packit Service 7bd866
srcdir = @srcdir@
Packit Service 7bd866
sysconfdir = @sysconfdir@
Packit Service 7bd866
target_alias = @target_alias@
Packit Service 7bd866
top_build_prefix = @top_build_prefix@
Packit Service 7bd866
top_builddir = @top_builddir@
Packit Service 7bd866
top_srcdir = @top_srcdir@
Packit Service 7bd866
@INSTALL_CHECKMK_TRUE@bin_SCRIPTS = checkmk
Packit Service 7bd866
@INSTALL_CHECKMK_TRUE@TESTS = test/check_checkmk
Packit Service 7bd866
EXTRA_DIST = test examples doc/checkmk.1
Packit Service 7bd866
CONFIG_STATUS_DEPENDENCIES = checkmk.in
Packit Service 7bd866
man_MANS = doc/checkmk.1
Packit Service 7bd866
all: all-am
Packit Service 7bd866
Packit Service 7bd866
.SUFFIXES:
Packit Service 7bd866
.SUFFIXES: .log .test .test$(EXEEXT) .trs
Packit Service 7bd866
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
Packit Service 7bd866
	@for dep in $?; do \
Packit Service 7bd866
	  case '$(am__configure_deps)' in \
Packit Service 7bd866
	    *$$dep*) \
Packit Service 7bd866
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
Packit Service 7bd866
	        && { if test -f $@; then exit 0; else break; fi; }; \
Packit Service 7bd866
	      exit 1;; \
Packit Service 7bd866
	  esac; \
Packit Service 7bd866
	done; \
Packit Service 7bd866
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits checkmk/Makefile'; \
Packit Service 7bd866
	$(am__cd) $(top_srcdir) && \
Packit Service 7bd866
	  $(AUTOMAKE) --gnits checkmk/Makefile
Packit Service 7bd866
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Packit Service 7bd866
	@case '$?' in \
Packit Service 7bd866
	  *config.status*) \
Packit Service 7bd866
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
Packit Service 7bd866
	  *) \
Packit Service 7bd866
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
Packit Service 7bd866
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
Packit Service 7bd866
	esac;
Packit Service 7bd866
Packit Service 7bd866
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
Packit Service 7bd866
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit Service 7bd866
Packit Service 7bd866
$(top_srcdir)/configure:  $(am__configure_deps)
Packit Service 7bd866
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit Service 7bd866
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
Packit Service 7bd866
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit Service 7bd866
$(am__aclocal_m4_deps):
Packit Service 7bd866
checkmk: $(top_builddir)/config.status $(srcdir)/checkmk.in
Packit Service 7bd866
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
Packit Service 7bd866
install-binSCRIPTS: $(bin_SCRIPTS)
Packit Service 7bd866
	@$(NORMAL_INSTALL)
Packit Service 7bd866
	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
Packit Service 7bd866
	if test -n "$$list"; then \
Packit Service 7bd866
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
Packit Service 7bd866
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
Packit Service 7bd866
	fi; \
Packit Service 7bd866
	for p in $$list; do \
Packit Service 7bd866
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
Packit Service 7bd866
	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
Packit Service 7bd866
	done | \
Packit Service 7bd866
	sed -e 'p;s,.*/,,;n' \
Packit Service 7bd866
	    -e 'h;s|.*|.|' \
Packit Service 7bd866
	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
Packit Service 7bd866
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
Packit Service 7bd866
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
Packit Service 7bd866
	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
Packit Service 7bd866
	      if (++n[d] == $(am__install_max)) { \
Packit Service 7bd866
		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
Packit Service 7bd866
	    else { print "f", d "/" $$4, $$1 } } \
Packit Service 7bd866
	  END { for (d in files) print "f", d, files[d] }' | \
Packit Service 7bd866
	while read type dir files; do \
Packit Service 7bd866
	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
Packit Service 7bd866
	     test -z "$$files" || { \
Packit Service 7bd866
	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
Packit Service 7bd866
	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
Packit Service 7bd866
	     } \
Packit Service 7bd866
	; done
Packit Service 7bd866
Packit Service 7bd866
uninstall-binSCRIPTS:
Packit Service 7bd866
	@$(NORMAL_UNINSTALL)
Packit Service 7bd866
	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
Packit Service 7bd866
	files=`for p in $$list; do echo "$$p"; done | \
Packit Service 7bd866
	       sed -e 's,.*/,,;$(transform)'`; \
Packit Service 7bd866
	dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
Packit Service 7bd866
Packit Service 7bd866
installcheck-binSCRIPTS: $(bin_SCRIPTS)
Packit Service 7bd866
	bad=0; pid=$$$$; list="$(bin_SCRIPTS)"; for p in $$list; do \
Packit Service 7bd866
	  case ' $(AM_INSTALLCHECK_STD_OPTIONS_EXEMPT) ' in \
Packit Service 7bd866
	   *" $$p "* | *" $(srcdir)/$$p "*) continue;; \
Packit Service 7bd866
	  esac; \
Packit Service 7bd866
	  f=`echo "$$p" | sed 's,^.*/,,;$(transform)'`; \
Packit Service 7bd866
	  for opt in --help --version; do \
Packit Service 7bd866
	    if "$(DESTDIR)$(bindir)/$$f" $$opt >c$${pid}_.out \
Packit Service 7bd866
	         2>c$${pid}_.err 
Packit Service 7bd866
		 && test -n "`cat c$${pid}_.out`" \
Packit Service 7bd866
		 && test -z "`cat c$${pid}_.err`"; then :; \
Packit Service 7bd866
	    else echo "$$f does not support $$opt" 1>&2; bad=1; fi; \
Packit Service 7bd866
	  done; \
Packit Service 7bd866
	done; rm -f c$${pid}_.???; exit $$bad
Packit Service 7bd866
Packit Service 7bd866
mostlyclean-libtool:
Packit Service 7bd866
	-rm -f *.lo
Packit Service 7bd866
Packit Service 7bd866
clean-libtool:
Packit Service 7bd866
	-rm -rf .libs _libs
Packit Service 7bd866
install-man1: $(man_MANS)
Packit Service 7bd866
	@$(NORMAL_INSTALL)
Packit Service 7bd866
	@list1=''; \
Packit Service 7bd866
	list2='$(man_MANS)'; \
Packit Service 7bd866
	test -n "$(man1dir)" \
Packit Service 7bd866
	  && test -n "`echo $$list1$$list2`" \
Packit Service 7bd866
	  || exit 0; \
Packit Service 7bd866
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
Packit Service 7bd866
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
Packit Service 7bd866
	{ for i in $$list1; do echo "$$i"; done;  \
Packit Service 7bd866
	if test -n "$$list2"; then \
Packit Service 7bd866
	  for i in $$list2; do echo "$$i"; done \
Packit Service 7bd866
	    | sed -n '/\.1[a-z]*$$/p'; \
Packit Service 7bd866
	fi; \
Packit Service 7bd866
	} | while read p; do \
Packit Service 7bd866
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
Packit Service 7bd866
	  echo "$$d$$p"; echo "$$p"; \
Packit Service 7bd866
	done | \
Packit Service 7bd866
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
Packit Service 7bd866
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
Packit Service 7bd866
	sed 'N;N;s,\n, ,g' | { \
Packit Service 7bd866
	list=; while read file base inst; do \
Packit Service 7bd866
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
Packit Service 7bd866
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
Packit Service 7bd866
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
Packit Service 7bd866
	  fi; \
Packit Service 7bd866
	done; \
Packit Service 7bd866
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
Packit Service 7bd866
	while read files; do \
Packit Service 7bd866
	  test -z "$$files" || { \
Packit Service 7bd866
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
Packit Service 7bd866
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
Packit Service 7bd866
	done; }
Packit Service 7bd866
Packit Service 7bd866
uninstall-man1:
Packit Service 7bd866
	@$(NORMAL_UNINSTALL)
Packit Service 7bd866
	@list=''; test -n "$(man1dir)" || exit 0; \
Packit Service 7bd866
	files=`{ for i in $$list; do echo "$$i"; done; \
Packit Service 7bd866
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
Packit Service 7bd866
	  sed -n '/\.1[a-z]*$$/p'; \
Packit Service 7bd866
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
Packit Service 7bd866
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
Packit Service 7bd866
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
Packit Service 7bd866
tags TAGS:
Packit Service 7bd866
Packit Service 7bd866
ctags CTAGS:
Packit Service 7bd866
Packit Service 7bd866
cscope cscopelist:
Packit Service 7bd866
Packit Service 7bd866
Packit Service 7bd866
# Recover from deleted '.trs' file; this should ensure that
Packit Service 7bd866
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
Packit Service 7bd866
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
Packit Service 7bd866
# to avoid problems with "make -n".
Packit Service 7bd866
.log.trs:
Packit Service 7bd866
	rm -f $< $@
Packit Service 7bd866
	$(MAKE) $(AM_MAKEFLAGS) $<
Packit Service 7bd866
Packit Service 7bd866
# Leading 'am--fnord' is there to ensure the list of targets does not
Packit Service 7bd866
# expand to empty, as could happen e.g. with make check TESTS=''.
Packit Service 7bd866
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
Packit Service 7bd866
am--force-recheck:
Packit Service 7bd866
	@:
Packit Service 7bd866
Packit Service 7bd866
$(TEST_SUITE_LOG): $(TEST_LOGS)
Packit Service 7bd866
	@$(am__set_TESTS_bases); \
Packit Service 7bd866
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
Packit Service 7bd866
	redo_bases=`for i in $$bases; do \
Packit Service 7bd866
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
Packit Service 7bd866
	            done`; \
Packit Service 7bd866
	if test -n "$$redo_bases"; then \
Packit Service 7bd866
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
Packit Service 7bd866
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
Packit Service 7bd866
	  if $(am__make_dryrun); then :; else \
Packit Service 7bd866
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
Packit Service 7bd866
	  fi; \
Packit Service 7bd866
	fi; \
Packit Service 7bd866
	if test -n "$$am__remaking_logs"; then \
Packit Service 7bd866
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
Packit Service 7bd866
	       "recursion detected" >&2; \
Packit Service 7bd866
	elif test -n "$$redo_logs"; then \
Packit Service 7bd866
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
Packit Service 7bd866
	fi; \
Packit Service 7bd866
	if $(am__make_dryrun); then :; else \
Packit Service 7bd866
	  st=0;  \
Packit Service 7bd866
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
Packit Service 7bd866
	  for i in $$redo_bases; do \
Packit Service 7bd866
	    test -f $$i.trs && test -r $$i.trs \
Packit Service 7bd866
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
Packit Service 7bd866
	    test -f $$i.log && test -r $$i.log \
Packit Service 7bd866
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
Packit Service 7bd866
	  done; \
Packit Service 7bd866
	  test $$st -eq 0 || exit 1; \
Packit Service 7bd866
	fi
Packit Service 7bd866
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
Packit Service 7bd866
	ws='[ 	]'; \
Packit Service 7bd866
	results=`for b in $$bases; do echo $$b.trs; done`; \
Packit Service 7bd866
	test -n "$$results" || results=/dev/null; \
Packit Service 7bd866
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
Packit Service 7bd866
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
Packit Service 7bd866
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
Packit Service 7bd866
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
Packit Service 7bd866
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
Packit Service 7bd866
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
Packit Service 7bd866
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
Packit Service 7bd866
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
Packit Service 7bd866
	  success=true; \
Packit Service 7bd866
	else \
Packit Service 7bd866
	  success=false; \
Packit Service 7bd866
	fi; \
Packit Service 7bd866
	br='==================='; br=$$br$$br$$br$$br; \
Packit Service 7bd866
	result_count () \
Packit Service 7bd866
	{ \
Packit Service 7bd866
	    if test x"$$1" = x"--maybe-color"; then \
Packit Service 7bd866
	      maybe_colorize=yes; \
Packit Service 7bd866
	    elif test x"$$1" = x"--no-color"; then \
Packit Service 7bd866
	      maybe_colorize=no; \
Packit Service 7bd866
	    else \
Packit Service 7bd866
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
Packit Service 7bd866
	    fi; \
Packit Service 7bd866
	    shift; \
Packit Service 7bd866
	    desc=$$1 count=$$2; \
Packit Service 7bd866
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
Packit Service 7bd866
	      color_start=$$3 color_end=$$std; \
Packit Service 7bd866
	    else \
Packit Service 7bd866
	      color_start= color_end=; \
Packit Service 7bd866
	    fi; \
Packit Service 7bd866
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
Packit Service 7bd866
	}; \
Packit Service 7bd866
	create_testsuite_report () \
Packit Service 7bd866
	{ \
Packit Service 7bd866
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
Packit Service 7bd866
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
Packit Service 7bd866
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
Packit Service 7bd866
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
Packit Service 7bd866
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
Packit Service 7bd866
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
Packit Service 7bd866
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
Packit Service 7bd866
	}; \
Packit Service 7bd866
	{								\
Packit Service 7bd866
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
Packit Service 7bd866
	    $(am__rst_title);						\
Packit Service 7bd866
	  create_testsuite_report --no-color;				\
Packit Service 7bd866
	  echo;								\
Packit Service 7bd866
	  echo ".. contents:: :depth: 2";				\
Packit Service 7bd866
	  echo;								\
Packit Service 7bd866
	  for b in $$bases; do echo $$b; done				\
Packit Service 7bd866
	    | $(am__create_global_log);					\
Packit Service 7bd866
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
Packit Service 7bd866
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
Packit Service 7bd866
	if $$success; then						\
Packit Service 7bd866
	  col="$$grn";							\
Packit Service 7bd866
	 else								\
Packit Service 7bd866
	  col="$$red";							\
Packit Service 7bd866
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
Packit Service 7bd866
	fi;								\
Packit Service 7bd866
	echo "$${col}$$br$${std}"; 					\
Packit Service 7bd866
	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
Packit Service 7bd866
	echo "$${col}$$br$${std}"; 					\
Packit Service 7bd866
	create_testsuite_report --maybe-color;				\
Packit Service 7bd866
	echo "$$col$$br$$std";						\
Packit Service 7bd866
	if $$success; then :; else					\
Packit Service 7bd866
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
Packit Service 7bd866
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
Packit Service 7bd866
	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
Packit Service 7bd866
	  fi;								\
Packit Service 7bd866
	  echo "$$col$$br$$std";					\
Packit Service 7bd866
	fi;								\
Packit Service 7bd866
	$$success || exit 1
Packit Service 7bd866
Packit Service 7bd866
check-TESTS: 
Packit Service 7bd866
	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
Packit Service 7bd866
	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
Packit Service 7bd866
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit Service 7bd866
	@set +e; $(am__set_TESTS_bases); \
Packit Service 7bd866
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit Service 7bd866
	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
Packit Service 7bd866
	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
Packit Service 7bd866
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
Packit Service 7bd866
	exit $$?;
Packit Service 7bd866
recheck: all 
Packit Service 7bd866
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit Service 7bd866
	@set +e; $(am__set_TESTS_bases); \
Packit Service 7bd866
	bases=`for i in $$bases; do echo $$i; done \
Packit Service 7bd866
	         | $(am__list_recheck_tests)` || exit 1; \
Packit Service 7bd866
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit Service 7bd866
	log_list=`echo $$log_list`; \
Packit Service 7bd866
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
Packit Service 7bd866
	        am__force_recheck=am--force-recheck \
Packit Service 7bd866
	        TEST_LOGS="$$log_list"; \
Packit Service 7bd866
	exit $$?
Packit Service 7bd866
test/check_checkmk.log: test/check_checkmk
Packit Service 7bd866
	@p='test/check_checkmk'; \
Packit Service 7bd866
	b='test/check_checkmk'; \
Packit Service 7bd866
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit Service 7bd866
	--log-file $$b.log --trs-file $$b.trs \
Packit Service 7bd866
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit Service 7bd866
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service 7bd866
.test.log:
Packit Service 7bd866
	@p='$<'; \
Packit Service 7bd866
	$(am__set_b); \
Packit Service 7bd866
	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit Service 7bd866
	--log-file $$b.log --trs-file $$b.trs \
Packit Service 7bd866
	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit Service 7bd866
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service 7bd866
@am__EXEEXT_TRUE@.test$(EXEEXT).log:
Packit Service 7bd866
@am__EXEEXT_TRUE@	@p='$<'; \
Packit Service 7bd866
@am__EXEEXT_TRUE@	$(am__set_b); \
Packit Service 7bd866
@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit Service 7bd866
@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
Packit Service 7bd866
@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit Service 7bd866
@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit Service 7bd866
Packit Service 7bd866
distdir: $(BUILT_SOURCES)
Packit Service 7bd866
	$(MAKE) $(AM_MAKEFLAGS) distdir-am
Packit Service 7bd866
Packit Service 7bd866
distdir-am: $(DISTFILES)
Packit Service 7bd866
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit Service 7bd866
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit Service 7bd866
	list='$(DISTFILES)'; \
Packit Service 7bd866
	  dist_files=`for file in $$list; do echo $$file; done | \
Packit Service 7bd866
	  sed -e "s|^$$srcdirstrip/||;t" \
Packit Service 7bd866
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
Packit Service 7bd866
	case $$dist_files in \
Packit Service 7bd866
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
Packit Service 7bd866
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
Packit Service 7bd866
			   sort -u` ;; \
Packit Service 7bd866
	esac; \
Packit Service 7bd866
	for file in $$dist_files; do \
Packit Service 7bd866
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
Packit Service 7bd866
	  if test -d $$d/$$file; then \
Packit Service 7bd866
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
Packit Service 7bd866
	    if test -d "$(distdir)/$$file"; then \
Packit Service 7bd866
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit Service 7bd866
	    fi; \
Packit Service 7bd866
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
Packit Service 7bd866
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
Packit Service 7bd866
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit Service 7bd866
	    fi; \
Packit Service 7bd866
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
Packit Service 7bd866
	  else \
Packit Service 7bd866
	    test -f "$(distdir)/$$file" \
Packit Service 7bd866
	    || cp -p $$d/$$file "$(distdir)/$$file" \
Packit Service 7bd866
	    || exit 1; \
Packit Service 7bd866
	  fi; \
Packit Service 7bd866
	done
Packit Service 7bd866
	$(MAKE) $(AM_MAKEFLAGS) \
Packit Service 7bd866
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
Packit Service 7bd866
	  dist-hook
Packit Service 7bd866
check-am: all-am
Packit Service 7bd866
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
Packit Service 7bd866
check: check-am
Packit Service 7bd866
all-am: Makefile $(SCRIPTS) $(MANS)
Packit Service 7bd866
installdirs:
Packit Service 7bd866
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
Packit Service 7bd866
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
Packit Service 7bd866
	done
Packit Service 7bd866
install: install-am
Packit Service 7bd866
install-exec: install-exec-am
Packit Service 7bd866
install-data: install-data-am
Packit Service 7bd866
uninstall: uninstall-am
Packit Service 7bd866
Packit Service 7bd866
install-am: all-am
Packit Service 7bd866
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
Packit Service 7bd866
Packit Service 7bd866
installcheck: installcheck-am
Packit Service 7bd866
install-strip:
Packit Service 7bd866
	if test -z '$(STRIP)'; then \
Packit Service 7bd866
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit Service 7bd866
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit Service 7bd866
	      install; \
Packit Service 7bd866
	else \
Packit Service 7bd866
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit Service 7bd866
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit Service 7bd866
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
Packit Service 7bd866
	fi
Packit Service 7bd866
mostlyclean-generic:
Packit Service 7bd866
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
Packit Service 7bd866
	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
Packit Service 7bd866
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit Service 7bd866
Packit Service 7bd866
clean-generic:
Packit Service 7bd866
Packit Service 7bd866
distclean-generic:
Packit Service 7bd866
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
Packit Service 7bd866
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
Packit Service 7bd866
Packit Service 7bd866
maintainer-clean-generic:
Packit Service 7bd866
	@echo "This command is intended for maintainers to use"
Packit Service 7bd866
	@echo "it deletes files that may require special tools to rebuild."
Packit Service 7bd866
clean: clean-am
Packit Service 7bd866
Packit Service 7bd866
clean-am: clean-generic clean-libtool clean-local mostlyclean-am
Packit Service 7bd866
Packit Service 7bd866
distclean: distclean-am
Packit Service 7bd866
	-rm -f Makefile
Packit Service 7bd866
distclean-am: clean-am distclean-generic
Packit Service 7bd866
Packit Service 7bd866
dvi: dvi-am
Packit Service 7bd866
Packit Service 7bd866
dvi-am:
Packit Service 7bd866
Packit Service 7bd866
html: html-am
Packit Service 7bd866
Packit Service 7bd866
html-am:
Packit Service 7bd866
Packit Service 7bd866
info: info-am
Packit Service 7bd866
Packit Service 7bd866
info-am:
Packit Service 7bd866
Packit Service 7bd866
install-data-am: install-man
Packit Service 7bd866
Packit Service 7bd866
install-dvi: install-dvi-am
Packit Service 7bd866
Packit Service 7bd866
install-dvi-am:
Packit Service 7bd866
Packit Service 7bd866
install-exec-am: install-binSCRIPTS
Packit Service 7bd866
Packit Service 7bd866
install-html: install-html-am
Packit Service 7bd866
Packit Service 7bd866
install-html-am:
Packit Service 7bd866
Packit Service 7bd866
install-info: install-info-am
Packit Service 7bd866
Packit Service 7bd866
install-info-am:
Packit Service 7bd866
Packit Service 7bd866
install-man: install-man1
Packit Service 7bd866
Packit Service 7bd866
install-pdf: install-pdf-am
Packit Service 7bd866
Packit Service 7bd866
install-pdf-am:
Packit Service 7bd866
Packit Service 7bd866
install-ps: install-ps-am
Packit Service 7bd866
Packit Service 7bd866
install-ps-am:
Packit Service 7bd866
Packit Service 7bd866
installcheck-am: installcheck-binSCRIPTS
Packit Service 7bd866
Packit Service 7bd866
maintainer-clean: maintainer-clean-am
Packit Service 7bd866
	-rm -f Makefile
Packit Service 7bd866
maintainer-clean-am: distclean-am maintainer-clean-generic
Packit Service 7bd866
Packit Service 7bd866
mostlyclean: mostlyclean-am
Packit Service 7bd866
Packit Service 7bd866
mostlyclean-am: mostlyclean-generic mostlyclean-libtool
Packit Service 7bd866
Packit Service 7bd866
pdf: pdf-am
Packit Service 7bd866
Packit Service 7bd866
pdf-am:
Packit Service 7bd866
Packit Service 7bd866
ps: ps-am
Packit Service 7bd866
Packit Service 7bd866
ps-am:
Packit Service 7bd866
Packit Service 7bd866
uninstall-am: uninstall-binSCRIPTS uninstall-man
Packit Service 7bd866
Packit Service 7bd866
uninstall-man: uninstall-man1
Packit Service 7bd866
Packit Service 7bd866
.MAKE: check-am install-am install-strip
Packit Service 7bd866
Packit Service 7bd866
.PHONY: all all-am check check-TESTS check-am clean clean-generic \
Packit Service 7bd866
	clean-libtool clean-local cscopelist-am ctags-am dist-hook \
Packit Service 7bd866
	distclean distclean-generic distclean-libtool distdir dvi \
Packit Service 7bd866
	dvi-am html html-am info info-am install install-am \
Packit Service 7bd866
	install-binSCRIPTS install-data install-data-am install-dvi \
Packit Service 7bd866
	install-dvi-am install-exec install-exec-am install-html \
Packit Service 7bd866
	install-html-am install-info install-info-am install-man \
Packit Service 7bd866
	install-man1 install-pdf install-pdf-am install-ps \
Packit Service 7bd866
	install-ps-am install-strip installcheck installcheck-am \
Packit Service 7bd866
	installcheck-binSCRIPTS installdirs maintainer-clean \
Packit Service 7bd866
	maintainer-clean-generic mostlyclean mostlyclean-generic \
Packit Service 7bd866
	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
Packit Service 7bd866
	uninstall uninstall-am uninstall-binSCRIPTS uninstall-man \
Packit Service 7bd866
	uninstall-man1
Packit Service 7bd866
Packit Service 7bd866
.PRECIOUS: Makefile
Packit Service 7bd866
Packit Service 7bd866
Packit Service 7bd866
clean-local:
Packit Service 7bd866
	rm -rf test.out
Packit Service 7bd866
Packit Service 7bd866
dist-hook:
Packit Service 7bd866
	rm -rf `find $(distdir)/ -name '.svn'`
Packit Service 7bd866
Packit Service 7bd866
# Tell versions [3.59,3.63) of GNU make to not export all variables.
Packit Service 7bd866
# Otherwise a system limit (for SysV at least) may be exceeded.
Packit Service 7bd866
.NOEXPORT: